# Uses of Interface
org.codehaus.janino.UnitCompiler.ClassFileConsumer

Packages that use UnitCompiler.ClassFileConsumer
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of UnitCompiler.ClassFileConsumer in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type UnitCompiler.ClassFileConsumer
Modifier and Type
Method
Description
`void`
UnitCompiler.`compileUnit(boolean debugSource, boolean debugLines, boolean debugVars, UnitCompiler.ClassFileConsumer storesClassFiles)`
Generates a set of `ClassFile` objects which represent the classes and interfaces declared in the compilation unit.